# Function shapefileToFeatureCollection

- shapefileToFeatureCollection(shapefileData, options?): Promise<FeatureCollectionLayerExtension>

- Converts a Blob that represents Shapefile data to an mapping/FeatureCollectionLayerExtension!FeatureCollectionLayerExtension.

  #### Parameters

  - shapefileData: Blob

    The data to convert.

  - `Optional` options: FromShapefileOptions

    Options for the conversion.

  #### Returns Promise<FeatureCollectionLayerExtension>